import ProjectDescription

let version: SettingValue = "2.23.0"
let baseSettings: [String: SettingValue] = [
    "MARKETING_VERSION": version,
    "PRODUCT_NAME": "SDK Sample"
]

let project = Project(
    name: "RxKakaoPartnerSDKSample",
    targets: [
        .target(
            name: "RxKakaoPartnerSDKSample",
            destinations: .iOS,
            product: .app,
            bundleId: "com.kakao.sdk.sample.partner.rx",
            deploymentTargets: .iOS("13.0"),
            infoPlist: .file(path: Path("RxKakaoPartnerSDKSample/Sources/Info.plist")),
            sources: ["RxKakaoPartnerSDKSample/Sources/**"],
            resources: ["RxKakaoPartnerSDKSample/Resources/**"],
            dependencies: [
                .external(name:"Alamofire"),
                .external(name:"KakaoSDKCommon"),
                .external(name:"KakaoSDKTemplate"),
                .external(name:"KakaoSDKAuth"),
                .external(name:"KakaoSDKUser"),
                .external(name:"KakaoSDKCert"),
                .external(name:"KakaoSDKTalk"),
                .external(name:"KakaoSDKFriend"),
                .external(name:"KakaoSDKShare"),
                .external(name:"KakaoSDKNavi"),
                
                .external(name:"KakaoPartnerSDKCommon"),
                .external(name:"KakaoPartnerSDKAuth"),
                .external(name:"KakaoPartnerSDKUser"),
                .external(name:"KakaoPartnerSDKTalk"),
                .external(name:"KakaoPartnerSDKFriend"),
                .external(name:"KakaoPartnerSDKShare"),
                
                .external(name:"RxAlamofire"),
                .external(name:"RxSwift"),                
                .external(name:"RxKakaoSDKCommon"),
                .external(name:"RxKakaoSDKAuth"),
                .external(name:"RxKakaoSDKUser"),
                .external(name:"RxKakaoSDKCert"),
                .external(name:"RxKakaoSDKTalk"),
                .external(name:"RxKakaoSDKFriend"),
                .external(name:"RxKakaoSDKShare"),
                
                .external(name:"RxKakaoPartnerSDKAuth"),
                .external(name:"RxKakaoPartnerSDKUser"),
                .external(name:"RxKakaoPartnerSDKTalk"),
                .external(name:"RxKakaoPartnerSDKFriend"),
                .external(name:"RxKakaoPartnerSDKShare"),
                
            ],
            settings: .settings(base:baseSettings)
        ),
        .target(
            name: "RxKakaoPartnerSDKSampleTests",
            destinations: .iOS,
            product: .unitTests,
            bundleId: "com.kakao.sdk.sample.partner.rx.tests",
            infoPlist: .default,
            sources: ["RxKakaoPartnerSDKSample/Tests/**"],
            resources: [],
            dependencies: [.target(name: "RxKakaoPartnerSDKSample")]
        ),
    ]
)
